import request from '@/utils/request'

// 查询标签信息列表
export function listLabelInfo(query) {
  return request({
    url: '/shop/labelInfo/list',
    method: 'get',
    params: query
  })
}

// 查询标签信息详细
export function getLabelInfo(labelId) {
  return request({
    url: '/shop/labelInfo/' + labelId,
    method: 'get'
  })
}

// 新增标签信息
export function addLabelInfo(data) {
  return request({
    url: '/shop/labelInfo',
    method: 'post',
    data: data
  })
}

// 修改标签信息
export function updateLabelInfo(data) {
  return request({
    url: '/shop/labelInfo',
    method: 'put',
    data: data
  })
}

// 删除标签信息
export function delLabelInfo(labelId) {
  return request({
    url: '/shop/labelInfo/' + labelId,
    method: 'delete'
  })
}
